summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorasynts <asynts@gmail.com>2021-01-24 15:07:40 +0100
committerAndreas Kling <kling@serenityos.org>2021-01-25 09:47:36 +0100
commitda69de1f1b04e304772daed5223a380fb13f82d6 (patch)
tree413329f21678e9712e72795599ef099451a72708
parent8465683dcf1ede4dbab46915113dd2ce4e4b7dfb (diff)
downloadserenity-da69de1f1b04e304772daed5223a380fb13f82d6.zip
Meta: Make check-debug-flags.sh work with the new changes.
-rwxr-xr-xMeta/check-debug-flags.sh3
1 files changed, 2 insertions, 1 deletions
diff --git a/Meta/check-debug-flags.sh b/Meta/check-debug-flags.sh
index 862b417604..cf6746c2db 100755
--- a/Meta/check-debug-flags.sh
+++ b/Meta/check-debug-flags.sh
@@ -11,7 +11,7 @@ while IFS= read -r FLAG; do
# We simply search whether the CMakeLists.txt *ever* sets the flag.
# There are (basically) no false positives, but there might be false negatives,
# for example we intentionally don't check for commented-out lines here.
- if ! grep -qP "add_compile_definitions\(\"${FLAG}" Meta/CMake/all_the_debug_macros.cmake ; then
+ if ! grep -qP "set\(${FLAG}" Meta/CMake/all_the_debug_macros.cmake ; then
echo "ALL_THE_DEBUG_MACROS probably doesn't include ${FLAG}"
MISSING_FLAGS=y
fi
@@ -19,6 +19,7 @@ done < <(
git ls-files -- \
'*.cpp' \
'*.h' \
+ '*.in' \
':!:Kernel/FileSystem/ext2_fs.h' \
':!:Userland/Libraries/LibELF/exec_elf.h' \
| xargs grep -P '^ *#.*DEBUG' \